controller:
  config:
    # debug, info, notice, warn, error, crit, alert, or emerg.
    error-log-level: warn
    log-format-escape-json: "true"
    # Modified default log format converted to JSON string.
    # Traefik key names used whenever possible.
    log-format-upstream: >-
      {
      "StartLocal":"$time_iso8601",
      "ClientAddr":"$remote_addr",
      "XForwardedFor": "$proxy_add_x_forwarded_for",
      "RequestMethod": "$request_method",
      "RequestHost": "$host",
      "ServerName": "$server_name",
      "RequestPath": "$uri",
      "QueryString": "$query_string",
      "DownstreamStatus":"$status",
      "Duration":"$request_time",
      "DownstreamBytes": "$bytes_sent",
      "HttpUserAgent":"$http_user_agent",
      "RequestLength":"$request_length",
      "BackendAddr":"$upstream_addr",
      "OriginStatus":"$upstream_status",
      "OriginDuration":"$upstream_response_time",
      "OriginContentSize":"$upstream_response_length"
      }
    http-snippet:
      client_max_body_size 30M; # allow bigger files for mirror subrequests #https://github.com/kubernetes/ingress-nginx/issues/9680
  image:
    allowPrivilegeEscalation: true
  # The name of the ingress class this nginx instance will serve.
  ingressClass: nginx-internal
  electionID: ingress-controller-leader
  # The name of the ingress class this helm chart will create.
  ingressClassResource:
    name: nginx-internal
    controllerValue: "k8s.io/ingress-nginx-internal"
  replicaCount: 2
  resources:
    requests:
      cpu: 10m
      memory: 128Mi
    limits:
      cpu: 100m
      memory: 350Mi
  service:
    annotations:
      service.beta.kubernetes.io/azure-load-balancer-resource-group: rg-aks-dp-golem
      service.beta.kubernetes.io/azure-load-balancer-internal: "true"
      service.beta.kubernetes.io/azure-load-balancer-health-probe-request-path: /healthz
    # Set external traffic policy to: "Local" to preserve source IP on providers supporting it.
    # Ref: https://kubernetes.io/docs/tutorials/services/source-ip/#source-ip-for-services-with-typeloadbalancer
    externalTrafficPolicy: "Local"
    # See ../azure/golemio/environments/golem/spoke.yaml and
    # subnets.aks-dp.address_prefixes for available range.
    loadBalancerIP: 10.140.9.201
    sessionAffinity: "ClientIP"
  setAsDefaultIngress: false
  containerSecurityContext:
    allowPrivilegeEscalation: false
    capabilities:
      add:
      - NET_BIND_SERVICE
      drop:
      - ALL
    readOnlyRootFilesystem: false
    runAsGroup: 101
    runAsNonRoot: true
    runAsUser: 101
  allowSnippetAnnotations: true
  enableAnnotationValidations: true
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
          - matchExpressions:
              - key: autoscale
                operator: NotIn
                values:
                  - "true"

tcp:
  6379: "database/redis-master:6379"
